#
# spec file for package tomcat5
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           tomcat5
BuildRequires:  ant-trax jaf jakarta-commons-daemon jakarta-commons-dbcp jakarta-commons-el jakarta-commons-launcher jakarta-taglibs-standard javamail jta junit log4j puretls regexp struts java-1_4_2-sun-devel update-alternatives
BuildRequires:  mx4j >= 3.0.1
BuildRequires:  ecj
BuildRequires:  jakarta-commons-modeler >= 2.0
BuildRequires:  jakarta-commons-io
BuildRequires:  jpackage-utils >= 1.6.0
%define full_name	jakarta-%{name}
%define full_jname      jasper5
%define majversion	5.5
%define section		free
%define jname		jasper
%define tcuid		91
%define packname 	jakarta-tomcat-%{version}
%define packdname	apache-tomcat-%{version}-src
%define servletspec     2.4
%define jspspec         2.0
# FHS 2.2 compliant tree structure
# see http://www.pathname.com/fhs/2.2/
# tomcat lives in /usr/share/tomcat5
%define homedir		%{_datadir}/%{name}
# unchangeable stuff below %{homedir}
%define bindir		%{homedir}/bin
%define serverdir	%{homedir}/server
%define commondir	%{homedir}/common
%define shareddir	%{homedir}/shared
# symlinks to all directories and symlinks in default 
# CATLAINA_BASE (see below) will be created so that tomcat can be
# started with no CATALINA_BASE set and CATALINA_HOME pointing to
# %{homedir}
# default CATALINA_BASE in /srv/www/tomcat5/base
%define catalina_base   /srv/www/%{name}/base
%define appdir		%{catalina_base}/webapps
# symlinks from %{catalina_base} to these will be created
%define confdir		%{_sysconfdir}/%{name}/base
%define logdir		%{_localstatedir}/log/%{name}/base
%define tempdir		%{_localstatedir}/cache/%{name}/base/temp
%define workdir		%{_localstatedir}/cache/%{name}/base/work
Summary:        A servlet container
Version:        5.5.27
Release:        0.12.1
License:        BSD 3-Clause; The Apache Software License; X11/MIT; zlib/libpng License
Group:          Productivity/Networking/Web/Frontends
Url:            http://jakarta.apache.org
BuildArch:      noarch
Source0:        http://www.apache.org/dist/tomcat/tomcat-5/v%{version}/src/apache-tomcat-%{version}-src.tar.bz2
Source8:        %{name}-%{majversion}.logrotate
Source9:        %{name}-%{majversion}.relink
Source10:       %{name}-%{majversion}-addons.tar.bz2
Source11:       %{name}.xml
Patch1:         tomcat5-%{version}.patch
Patch2:         %{name}-%{majversion}.link_admin_jar.patch
Patch3:         %{name}-%{version}-no-jsvc-tar.patch
Patch4:         %{name}-%{version}-cluster-pathelement.patch
Patch5:         %{name}-%{version}-skip-build-on-install.patch
Patch6:         %{name}-%{version}-javaxssl.patch
Patch7:         jasper5_command.patch
Patch8:         %{name}-%{version}-bootstrap.MF.patch
Patch9:         %{name}-%{version}-catalina.sh.patch
# Patch10 for #113319, see
# http://forum.java.sun.com/thread.jspa?threadID=624292&tstart=0
# deprecated
#Patch10:        %{name}-%{version}-struts-config.patch
Patch11:        %{name}-%{version}-server_xml-log_config.patch
Patch12:        %{name}_build150.patch
# from tomcat55 10.3 (+30)
Patch32:        %{name}-%{majversion}-jt5-build.patch
Patch33:        %{name}-%{majversion}-jtc-build.patch
Patch38:        %{name}-%{majversion}-jasper.sh.patch
Patch39:        %{name}-%{majversion}-jspc.sh.patch
Patch40:        %{name}-%{majversion}-setclasspath.sh.patch
Patch42:        %{name}-%{majversion}-util-build.patch
Patch44:        %{name}-%{majversion}-jk-build.patch
Patch51:        %{name}-%{majversion}-dbcp-name.patch
Patch100:       apache-tomcat-CVE-2009-0033.patch
Patch101:       apache-tomcat-CVE-2009-0580.patch
# apache-tomcat-CVE-2009-0783-1.patch already included in 5.5.27
Patch102:       apache-tomcat-CVE-2009-0783-2.patch
Patch103:       apache-tomcat-CVE-2008-5515.patch
Patch104:       apache-tomcat-CVE-2009-0781.patch
Patch105:       apache-tomcat-CVE-2008-5515-2.patch
#PATCH-FIX-UPSTREAM bnc#575083
Patch106:       apache-tomcat-CVE-2009-2693-CVE-2009-2901-CVE-2009-2902.patch
#PATCH-FIX-UPSTREAM: http://svn.apache.org/viewvc?view=revision&revision=936541
Patch107:       apache-tomcat-CVE-2010-1157.patch
#PATCH-FIX-UPSTREAM: http://svn.apache.org/viewvc?view=revision&revision=959428
Patch108:       apache-tomcat-CVE-2010-2227.patch
#PATCH-FIX-UPSTREAM: http://svn.apache.org/viewvc?view=revision&revision=1027610
Patch109:       apache-tomcat-CVE-2010-3718.patch
#PATCH-FIX-UPSTREAM: http://svn.apache.org/viewvc?view=revision&revision=1066318
Patch110:       apache-tomcat-CVE-2011-0013.patch
Patch150:       %{name}_javac_source_target.patch
#PATCH-FIX-SUSE: run tomcat using su -, which not inherits the posix locale
#from init srcipt
Patch151:       tomcat5-init.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         ant, jpackage-utils >= 1.6.0
Requires:       ant-trax
Requires:       log4j >= 1.2
# xml parsing - isn't this already required by ant ?
PreReq:         xerces-j2 >= 2.7.1
PreReq:         xml-commons-apis >= 1.3
PreReq:         regexp >= 1.3
# jakarta packages
PreReq:         jakarta-commons-collections >= 3.1
PreReq:         jakarta-commons-beanutils >= 1.7.0
Requires:       jakarta-commons-daemon >= 1.0.1
PreReq:         jakarta-commons-dbcp >= 1.2.1
PreReq:         jakarta-commons-digester >= 1.6
PreReq:         jakarta-commons-modeler >= 1.1
PreReq:         jakarta-commons-pool >= 1.2
PreReq:         jakarta-commons-logging >= 1.0.4
PreReq:         jakarta-commons-fileupload >= 1.0
Requires:       jakarta-commons-launcher >= 0.9
PreReq:         jakarta-commons-el >= 1.0
PreReq:         jakarta-taglibs-standard >= 1.1.0
PreReq:         mx4j >= 3.0.1
PreReq:         jakarta-commons-io
Requires:       jakarta-commons-io
# alternatives
PreReq:         jaas, jndi, jndi-ldap
# commented out, not available on all platforms
#PreReq:         jdbc-stdext
# non-free stuff
PreReq:         jta >= 1.0.1-0.a.1, jaf >= 1.0.1, javamail >= 1.3.1
PreReq:         servletapi5 >= 5.0.18
PreReq:         /usr/sbin/useradd, /usr/sbin/groupadd, sed
PreReq:         findutils
# from openSUSE 10.3 tomcat55
PreReq:         ecj
PreReq:         grep
PreReq:         pwdutils
PreReq:         /usr/bin/getent
Requires:       bash
Obsoletes:      jakarta-tomcat
Provides:       jakarta-tomcat

%description
Tomcat is the servlet container that is used in the official Reference
Implementation for the Java Servlet and JavaServer Pages technologies.
The Java Servlet and JavaServer Pages pecifications are developed by
Sun under the Java Community Process.



Authors:
--------
    Hans Bergsten <hans@gefionsoftware.com>
    James Duncan <Davidson duncan@x180.com>
    Pierpaolo Fumagalli <pier@apache.org>
    Craig McClanahan <cmcclanahan@mytownnet.com>
    Sam Ruby <rubys@us.ibm.com>
    Jon Stevens <jon@clearink.com>
    Anil Vijendran <akv@eng.sun.com>
    Brian Behlendorf <brian@behlendorf.com>
    Kevin Burton <burton@relativity.yi.org>
    Danno Ferrin <shemnon@earthlink.net>
    Jason Hunter <jh@servlets.com>
    Ramesh Mandava <rmandava@talentportal.com>
    Stefano Mazzocchi <stefano@apache.org>
    Rajiv Mordani <mode@chinet.com>
    Harish Prabhandham <harishp@onebox.com>
    Jean-Luc Rochat <shachor@il.ibm.com>
    James Todd <jwtodd@pacbell.net>

%package webapps
License:        BSD 3-Clause; The Apache Software License; X11/MIT; zlib/libpng License
Group:          Productivity/Networking/Web/Frontends
Requires:       %{name} = %{version}-%{release}
Requires:       jakarta-taglibs-standard >= 1.1.0
Summary:        Webapps for tomcat5
Provides:       jakarta-tomcat-examples, jakarta-tomcat-docs
Obsoletes:      jakarta-tomcat-examples, jakarta-tomcat-docs

%description webapps
Tomcat is the servlet container that is used in the official Reference
Implementation for the Java Servlet and JavaServer Pages technologies.
The Java Servlet and JavaServer Pages pecifications are developed by
Sun under the Java Community Process.

This package contains the sample webapps for Tomcat.



Authors:
--------
    Hans Bergsten <hans@gefionsoftware.com>
    James Duncan <Davidson duncan@x180.com>
    Pierpaolo Fumagalli <pier@apache.org>
    Craig McClanahan <cmcclanahan@mytownnet.com>
    Sam Ruby <rubys@us.ibm.com>
    Jon Stevens <jon@clearink.com>
    Anil Vijendran <akv@eng.sun.com>
    Brian Behlendorf <brian@behlendorf.com>
    Kevin Burton <burton@relativity.yi.org>
    Danno Ferrin <shemnon@earthlink.net>
    Jason Hunter <jh@servlets.com>
    Ramesh Mandava <rmandava@talentportal.com>
    Stefano Mazzocchi <stefano@apache.org>
    Rajiv Mordani <mode@chinet.com>
    Harish Prabhandham <harishp@onebox.com>
    Jean-Luc Rochat <shachor@il.ibm.com>
    James Todd <jwtodd@pacbell.net>

%package admin-webapps
License:        BSD 3-Clause; The Apache Software License; X11/MIT; zlib/libpng License
Group:          Productivity/Networking/Web/Frontends
PreReq:         %{name} = %{version}-%{release}
PreReq:         struts >= 1.1
Summary:        Admin webapps for tomcat5

%description admin-webapps
Tomcat is the servlet container that is used in the official Reference
Implementation for the Java Servlet and JavaServer Pages technologies.
The Java Servlet and JavaServer Pages pecifications are developed by
Sun under the Java Community Process.

This package contains the admin webapps for Tomcat.



Authors:
--------
    Hans Bergsten <hans@gefionsoftware.com>
    James Duncan <Davidson duncan@x180.com>
    Pierpaolo Fumagalli <pier@apache.org>
    Craig McClanahan <cmcclanahan@mytownnet.com>
    Sam Ruby <rubys@us.ibm.com>
    Jon Stevens <jon@clearink.com>
    Anil Vijendran <akv@eng.sun.com>
    Brian Behlendorf <brian@behlendorf.com>
    Kevin Burton <burton@relativity.yi.org>
    Danno Ferrin <shemnon@earthlink.net>
    Jason Hunter <jh@servlets.com>
    Ramesh Mandava <rmandava@talentportal.com>
    Stefano Mazzocchi <stefano@apache.org>
    Rajiv Mordani <mode@chinet.com>
    Harish Prabhandham <harishp@onebox.com>
    Jean-Luc Rochat <shachor@il.ibm.com>
    James Todd <jwtodd@pacbell.net>

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
%setup -q -c -T -a 0 -b10
cd %{packdname}
%patch1 -p1
%patch2 -p1
%patch4 -p1 -b .cluster
%patch5 -p1 -b .skip
%patch6 -p0
%patch7 -p0
# deprecated
#%patch8 -p1
%patch9 -p1
# deprecated
#%patch10 -p1
%patch11 -p1
#%patch12
#%patch150 -p1
# tomcat55 10.3
%patch32 -p0 -b .p32
%patch33 -p0
%patch38 -p1 -b .p38
%patch39 -p1 -b .p39
%patch40 -p1 -b .p40
%patch42 -b .p42
%patch44 -b .p44
%patch51 -p1
cd ..
%patch151 -p0 -b .init
# security patches
%patch100 -b .CVE-2009-0033
%patch101 -b .CVE-2009-0580
%patch102 -b .CVE-2009-0783
%patch103 -b .CVE-2008-5515
%patch104 -p1 -b .CVE-2009-0781
%patch105 -b .CVE-2008-5515-2
%patch106 -p1 -b .bnc575083
%patch107 -p1 -b .CVE-2010-1157
%patch108 -p1 -b .CVE-2010-2227
%patch109 -p0 -b .CVE-2010-3718
%patch110 -p0 -b .CVE-2011-0013
find . -type 'f' | xargs grep '@VERSION@' | cut -f 1 -d ':' | xargs sed -i 's/@VERSION@/%{version}/'

%build
export CLASSPATH=%(build-classpath xml-commons-apis xalan-j2 xalan-j2-serializer)
# Remove pre-build jars
for dir in %{packdname} ; do
    find $dir -name "*.jar" -exec rm -f {} \;
done
pushd %{packdname}
cp $RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/container/LICENSE .
popd 
# build jsp-api, servlet-api as ant dist will later on require them for webapps
pushd $RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/servletapi
pushd jsr154
ant -Dservletapi.build=build -Dservletapi.dist=dist -Dbuild.compiler=modern dist
popd
pushd jsr152
ant -Dservletapi.build=build -Dservletapi.dist=dist -Dbuild.compiler=modern dist
popd
popd
# build jasper subpackage
CLASSPATH=%(build-classpath glibj xml-commons-apis xalan-j2 xalan-j2-serializer javamail)
export CLASSPATH=$CLASSPATH:$RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/jakarta-servletapi-5/jsr154/dist/lib/servlet-api.jar
pushd $RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/%{jname}
    cat > build.properties <<EOBP
ant.jar=$(build-classpath ant)
servlet-api.jar=$RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/servletapi/jsr154/dist/lib/servlet-api.jar
jsp-api.jar=$RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/servletapi/jsr152/dist/lib/jsp-api.jar
tools.jar=%{java.home}/lib/tools.jar
xerces.jar=$(build-classpath xerces-j2)
xercesImpl.jar=$(build-classpath jaxp_parser_impl)
xmlParserAPIs.jar=$(build-classpath xml-commons-apis)
commons-el.jar=$(build-classpath commons-el)
commons-collections.jar=$(build-classpath commons-collections)
commons-logging.jar=$(build-classpath commons-logging)
commons-daemon.jar=$(build-classpath commons-daemon)
junit.jar=$(build-classpath junit)
jasper-compiler-jdt.jar=$(build-classpath ecj)
EOBP
    # can't use jikes to build tomcat4 (strange)
    ant -Djava.home=%{java_home} -Dbuild.compiler=modern javadoc
popd
# build tomcat 5
pushd %{packdname}/build
cat >> build.properties <<EOBP
ant.jar=%{_javadir}/ant.jar
ant-launcher.jar=%{_javadir}/ant.jar
jtc.home=$RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/connectors/
%{jname}.home=$RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/%{jname}
commons-beanutils.jar=$(build-classpath commons-beanutils)
commons-fileupload.jar=$(build-classpath commons-fileupload)
commons-io.jar=$(build-classpath commons-io)
commons-collections.jar=$(build-classpath commons-collections)
commons-daemon.jar=$(build-classpath commons-daemon)
commons-dbcp.jar=$(build-classpath commons-dbcp)
commons-digester.jar=$(build-classpath commons-digester)
commons-el.jar=$(build-classpath commons-el)
commons-launcher.jar=$(build-classpath commons-launcher)
commons-logging.jar=$(build-classpath commons-logging)
commons-logging-api.jar=$(build-classpath commons-logging-api)
commons-modeler.jar=$(build-classpath commons-modeler)
commons-pool.jar=$(build-classpath commons-pool)
jmx.jar=$(build-classpath mx4j/mx4j-jmx.jar)
jmx-remote.jar=$(build-classpath mx4j/mx4j-remote.jar)
jmx-tools.jar=$(build-classpath mx4j/mx4j-tools.jar)
jmxri.jar=$(build-classpath mx4j/mx4j-jmx.jar)
junit.jar=$(build-classpath junit)
regexp.jar=$(build-classpath regexp)
servlet-api.jar=$RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/servletapi/jsr154/dist/lib/servlet-api.jar
jsp-api.jar=$RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/servletapi/jsr152/dist/lib/jsp-api.jar
servlet.doc=$RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/servletapi/jsr154/dist/docs/api
struts.jar=$(build-classpath struts)
struts.lib=%{_datadir}/struts
xercesImpl.jar=$(build-classpath jaxp_parser_impl)
xml-apis.jar=$(build-classpath xml-commons-apis)
activation.jar=$(build-classpath jaf)
mail.jar=$(build-classpath javamail/mailapi)
jta.jar=$(build-classpath jta)
jaas.jar=$(build-classpath jaas)
jndi.jar=$(build-classpath jndi)
puretls.jar=$(build-classpath puretls)
jcert.jar=$(build-classpath jsse/jcert)
jnet.jar=$(build-classpath jsse/jnet)
jsse.jar=$(build-classpath jsse/jsse)
servletapi.build.notrequired=true
jspapi.build.notrequired=true
tomcat.dbcp.jar=
EOBP
if build-classpath jdbc-stdext
then
  echo jdbc20ext.jar=$(build-classpath jdbc-stdext) >> build.properties 
fi
# can't use jikes to build tomcat (strange)
CLASSPATH=$CLASSPATH:$(build-classpath servletapi5 jspapi) ant -Dbuild.compiler=modern -Djava.home=%{java_home} build 
popd
# build the connectors
pushd %{packdname}/connectors
# use the JARs created above to build
    export CLASSPATH=$RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/build/build/server/lib/tomcat-apr.jar:$RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/servletapi/jsr154/dist/lib/servlet-api.jar:$RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/jakarta-tomcat-5/build/server/lib/catalina.jar:$(build-classpath glibj javamail xalan-j2-serializer)
cat > build.properties <<EOBP
activation.jar=$(build-classpath jaf)
ant.jar=%{_javadir}/ant.jar
junit.jar=$(build-classpath junit)
commons-beanutils.jar=$(build-classpath commons-beanutils)
commons-collections.jar=$(build-classpath commons-collections)
commons-daemon.jar=$(build-classpath commons-daemon)
commons-digester.jar=$(build-classpath commons-digester)
commons-fileupload.jar=$(build-classpath commons-fileupload)
commons-io.jar=$(build-classpath commons-io)
commons-logging.jar=$(build-classpath commons-logging)
commons-logging-api.jar=$(build-classpath commons-logging-api)
commons-modeler.jar=$(build-classpath commons-modeler)
commons-pool.jar=$(build-classpath commons-pool)
regexp.jar=$(build-classpath regexp)
jmx.jar=$(build-classpath mx4j/mx4j-jmx)
puretls=$(build-classpath puretls)
activation.jar=$(build-classpath jaf)
mail.jar=$(build-classpath javamail)
jta.jar=$(build-classpath jta)
jaas.jar=$(build-classpath jaas)
jndi.jar=$(build-classpath jndi)
puretls.jar=$(build-classpath puretls)
jcert.jar=$(build-classpath jsse/jcert)
jnet.jar=$(build-classpath jsse/jnet)
jsse.jar=$(build-classpath jsse/jsse)
tomcat5.home=../../build/build
EOBP
if build-classpath jdbc-stdext
then
  echo jdbc20ext.jar=$(build-classpath jdbc-stdext) >> build.properties
fi
ant -Dbuild.compiler=modern -Djava.home=%{java_home} build dist
popd

%install
CLASSPATH=%(build-classpath glibj xalan-j2-serializer javamail xalan-j2 xml-commons-apis jakarta-taglibs-core jakarta-taglibs-standard struts mx4j servletapi5)
export CLASSPATH=$CLASSPATH:$RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/servletapi/jsr152/dist/lib/jsp-api.jar
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/omc/svcinfo.d/ || :
cp %{SOURCE11} $RPM_BUILD_ROOT/%{_datadir}/omc/svcinfo.d/
# build initial path structure
install -d -m 755 $RPM_BUILD_ROOT/{%{confdir},%{logdir},%{homedir},%{bindir}}
install -d -m 755 $RPM_BUILD_ROOT/{%{serverdir},%{tempdir},%{workdir}}
install -d -m 755 $RPM_BUILD_ROOT/{%{appdir},%{commondir},%{shareddir}}
install -d -m 755 $RPM_BUILD_ROOT/{%{_bindir},%{_sbindir},%{_sysconfdir}/{init.d,logrotate.d},%{_javadir}}
install -m 755 -d $RPM_BUILD_ROOT%{_var}/adm/fillup-templates/
install -m 755 %{SOURCE9} $RPM_BUILD_ROOT/%{bindir}/relink
# sysv init and logging
install -m755 addons/rctomcat5 $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
ln -sf %{_sysconfdir}/init.d/tomcat5 $RPM_BUILD_ROOT/usr/sbin/rctomcat5
install -m 644 addons/sysconfig.j2ee-%{name} $RPM_BUILD_ROOT%{_var}/adm/fillup-templates/
# suse documentation
install -m 755 -d $RPM_BUILD_ROOT%{_docdir}/%{name}
install -m 644 addons/README.SuSE $RPM_BUILD_ROOT%{_docdir}/%{name}
#install -m 644 LICENSE *.txt $RPM_BUILD_ROOT%{_docdir}/%{name}
pushd $RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/build
install -m 644 RELEASE-NOTES $RPM_BUILD_ROOT%{_docdir}/%{name}
export usejikes=false
export OPT_JAR_LIST="ant/ant-trax"
ant -Dbuild.compiler=modern -Djava.home=%{java_home} dist
    pushd dist
        mv bin/*     ${RPM_BUILD_ROOT}%{bindir}
        mv common/*  ${RPM_BUILD_ROOT}%{commondir}
        mv conf/*    ${RPM_BUILD_ROOT}%{confdir}
        mv server/*  ${RPM_BUILD_ROOT}%{serverdir}
        mv shared/*  ${RPM_BUILD_ROOT}%{shareddir}
        mv webapps/* ${RPM_BUILD_ROOT}%{appdir}
    popd
    pushd build/conf
	mv jk2.properties jk2.manifest jkconf.ant.xml jkconfig.manifest \
           shm.manifest tomcat-jk2.manifest uriworkermap.properties \
           workers.properties workers.properties.minimal workers2.properties \
           workers2.properties.minimal \
             $RPM_BUILD_ROOT%{confdir}
    popd
popd
#log4j properties file for the tomcat logger
if [ ! -e $RPM_BUILD_ROOT/%{commondir}/classes ]
then
  mkdir -p $RPM_BUILD_ROOT/%{commondir}/classes
fi
install -m 644 addons/log4j.properties $RPM_BUILD_ROOT/%{commondir}/classes
#pushd %{packdname}/jakarta-tomcat-5
# Remove leftover files ?
rm -f $RPM_BUILD_ROOT%{bindir}/*.orig
# install logrotate support
install %{SOURCE8} ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}
# remove / reorder non-usefull stuff
rm -rf $RPM_BUILD_ROOT%{homedir}/src/
rm -f  $RPM_BUILD_ROOT%{bindir}/*.bat
# FHS compliance patches, not easy to track them all boys :)
for i in $RPM_BUILD_ROOT%{_bindir}/d%{name} \
         $RPM_BUILD_ROOT%{_bindir}/%{name} \
         $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name} \
         $RPM_BUILD_ROOT%{bindir}/relink \
         $RPM_BUILD_ROOT%{_sysconfdir}/logrotate.d/%{name}; do
    perl -pi -e "s|\@\@\@TCCONF\@\@\@|%{confdir}|g;" $i
    perl -pi -e "s|\@\@\@TCHOME\@\@\@|%{homedir}|g;" $i
    perl -pi -e "s|\@\@\@TCBIN\@\@\@|%{bindir}|g;" $i
    perl -pi -e "s|\@\@\@TCCOMMON\@\@\@|%{commondir}|g;" $i
    perl -pi -e "s|\@\@\@TCSERVER\@\@\@|%{serverdir}|g;" $i
    perl -pi -e "s|\@\@\@TCSHARED\@\@\@|%{shareddir}|g;" $i
    perl -pi -e "s|\@\@\@TCAPP\@\@\@|%{appdir}|g;" $i
    perl -pi -e "s|\@\@\@TCLOG\@\@\@|%{logdir}|g;" $i
done
### Replace local copies with jpp-compatible links
# Process server/lib
pushd   $RPM_BUILD_ROOT/%{serverdir}/lib
    find . -name "*.jar" -not -name "catalina*" \
                         -not -name "servlets-*" \
                         -not -name "tomcat-*" \
                         -exec rm -f {} \;
    # catalina-ant will be installed in a public repository
    mv catalina-ant.jar $RPM_BUILD_ROOT/%{_javadir}/catalina-ant-%{version}.jar
    pushd $RPM_BUILD_ROOT/%{_javadir}
        ln -fs catalina-ant-%{version}.jar catalina-ant5.jar
    popd
popd
# Process admin webapp server/webapps/admin
# don't remove catalina-admin though
pushd $RPM_BUILD_ROOT/%{serverdir}/webapps/admin/WEB-INF/lib
    find . -name "*.jar" -not -name 'catalina-admin*' -exec rm -f {} \;
popd
# Process common/lib
pushd $RPM_BUILD_ROOT/%{commondir}/lib
    find . -name "*.jar" -not -name "jasper*" \
                         -not -name "naming*" \
                         -exec rm -f {} \;
popd
# Process common/lib
pushd $RPM_BUILD_ROOT/%{commondir}/endorsed
    find . -name "*.jar" -exec rm -f {} \;
popd
# avoid duplicate servlet.jar
rm -f $RPM_BUILD_ROOT%{commondir}/lib/servlet.jar
# Perform FHS translation
# (final links)
pushd $RPM_BUILD_ROOT%{catalina_base}
    ln -s %{confdir} conf
    ln -s %{logdir}  logs
    ln -s %{workdir} work
    ln -s %{tempdir} temp
    ln -s %{commondir} common
    ln -s %{serverdir} server
popd
pushd $RPM_BUILD_ROOT%{homedir}
   ln -s %{catalina_base}/conf	  conf
   ln -s %{catalina_base}/logs    logs
   ln -s %{catalina_base}/webapps webapps
   ln -s %{catalina_base}/work    work
   ln -s %{catalina_base}/temp    temp
popd
# begin servlet api subpackage install
pushd $RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/servletapi
    install -m 644 jsr154/dist/lib/servlet-api.jar \
        $RPM_BUILD_ROOT%{_datadir}/tomcat5/server/lib/%{name}-servlet-%{servletspec}-api-%{version}.jar
    pushd $RPM_BUILD_ROOT%{_datadir}/tomcat5/server/lib/
        ln -sf %{name}-servlet-%{servletspec}-api-%{version}.jar \
            %{name}-servlet-%{servletspec}-api.jar
        # For backward compatibility with old JPP packages
        ln -sf %{name}-servlet-%{servletspec}-api-%{version}.jar \
            servletapi55.jar
    popd
popd
# begin jsp api subpackage install
pushd $RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/servletapi
    install -m 644 jsr152/dist/lib/jsp-api.jar \
        $RPM_BUILD_ROOT%{_datadir}/tomcat5/server/lib/%{name}-jsp-%{jspspec}-api-%{version}.jar
    pushd $RPM_BUILD_ROOT%{_datadir}/tomcat5/server/lib/
        ln -sf %{name}-jsp-%{jspspec}-api-%{version}.jar \
            %{name}-jsp-%{jspspec}-api.jar
        # For backward compatibility with old JPP packages
        ln -sf %{name}-jsp-%{jspspec}-api-%{version}.jar \
            jspapi55.jar
    popd
popd
# begin jasper subpackage install
pushd $RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/%{jname}
    install -m755 src/bin/jspc.sh \
        $RPM_BUILD_ROOT%{_bindir}/jspc5.sh
    install -m755 src/bin/%{jname}.sh \
        $RPM_BUILD_ROOT%{_bindir}/%{full_jname}.sh
popd
pushd $RPM_BUILD_DIR/%{name}-%{version}/%{packdname}/container
    install -m755 catalina/src/bin/setclasspath.sh \
        $RPM_BUILD_ROOT%{_bindir}/%{full_jname}-setclasspath.sh
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
### Create automated links
### Since all needed extensions may not have been installed for this jvm
### output is muted
# Try to set a sensible jvm
unset JAVA_HOME
[ -r %{confdir}/tomcat5.conf ] && . %{confdir}/tomcat5.conf
[ -z "$JAVA_HOME" ] && [ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
# Remove old automated symlinks
# we do not want old links if a jar is removed from tomcat's layout
for repository in %{serverdir}/lib \
                  %{commondir}/lib \
                  %{commondir}/endorsed ; do
    find $repository -name '\[*\]*.jar' -not -type d -exec rm -f {} \;
done
build-jar-repository %{serverdir}/lib commons-beanutils commons-fileupload commons-io\
                                      commons-digester commons-logging \
                                      commons-modeler commons-el regexp jmxri jaas \
                                      catalina-ant5 2>&1
build-jar-repository %{commondir}/lib ant commons-collections commons-dbcp \
                                      commons-pool commons-logging-api commons-el\
                                      jaf jta javamail jndi jmxri  \
                                      mx4j/mx4j \
                                      jspapi servletapi5 log4j 2>&1
if ! build-jar-repository %{commondir}/lib jdbc-stdext > /dev/null 2>&1
then
  rm %{commondir}/lib/[jdbc-stdext].jar
fi
# compatibility link for eclipse server runtime check for tomcat
ln -sf %{commondir}/lib/servletapi5.jar $RPM_BUILD_ROOT/%{commondir}/lib/servlet-api.jar
ln -sf %{commondir}/lib/jspapi.jar $RPM_BUILD_ROOT/%{commondir}/lib/jsp-api.jar
build-jar-repository %{commondir}/endorsed jaxp_parser_impl xml-commons-apis 2>&1
# create links without [ ] around the name (needed by some programs (among others an eclipse
# plugin) that test whether the tomcat installation is valid or not)
build-jar-repository -s -p %{serverdir}/lib commons-beanutils commons-fileupload commons-io\
                                      commons-digester commons-logging \
                                      commons-modeler commons-el regexp jmxri jaas \
                                      catalina-ant5 2>&1
build-jar-repository -s -p %{commondir}/lib ant commons-collections commons-dbcp \
                                      commons-pool commons-logging-api commons-el\
                                      jaf jta javamail jndi jmxri \
                                      jspapi servletapi5 log4j 2>&1
if ! build-jar-repository -s -p %{commondir}/lib jdbc-stdext 2>&1
then
  rm %{commondir}/lib/jdbc-stdext.jar
fi
build-jar-repository -s -p %{commondir}/endorsed jaxp_parser_impl xml-commons-apis 2>&1
# suse specific
if [ -f /etc/sysconfig/j2ee ]
then
# on update from jakarta-tomcat, change CATALINA_HOME if it is set to the 
# old default
sed -i -e s,CATALINA_HOME=\"/usr/share/tomcat\",CATALINA_HOME=\"/usr/share/tomcat5\", /etc/sysconfig/j2ee
fi
%{fillup_and_insserv -f -s tomcat5 START_TOMCAT}
%{fillup_only -a -n -s j2ee %name}

%post webapps 
### Create automated links
### Since all needed extensions may not have been installed for this jvm
### output is muted
# Try to set a sensible jvm
unset JAVA_HOME
[ -r %{confdir}/tomcat5.conf ] && . %{confdir}/tomcat5.conf
[ -z "$JAVA_HOME" ] && [ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
build-jar-repository %{appdir}/jsp-examples/WEB-INF/lib \
      jakarta-taglibs-core jakarta-taglibs-standard 2>&1

%post admin-webapps
### Create automated links
### Since all needed extensions may not have been installed for this jvm
### output is muted
# Try to set a sensible jvm
unset JAVA_HOME
[ -r %{confdir}/tomcat5.conf ] && . %{confdir}/tomcat5.conf
[ -z "$JAVA_HOME" ] && [ -r %{_sysconfdir}/java/java.conf ] && . %{_sysconfdir}/java/java.conf
[ -z "$JAVA_HOME" ] && JAVA_HOME=%{_jvmdir}/java
# Remove old automated symlinks
# we do not want old links if a jar is removed from tomcat's layout
find %{serverdir}/webapps/admin/WEB-INF/lib -name '\[*\]*.jar' \
     -not -name 'catalina-admin*' -not -type d -exec rm -f {} \;
build-jar-repository %{serverdir}/webapps/admin/WEB-INF/lib struts 2>&1

%preun
# Always clean up wordir and tempdir on upgrade/removal
rm -fr %{workdir}/* %{tempdir}/*
%stop_on_removal tomcat5
if [ $1 = 0 ]; then
    # Remove automated symlinks
    for repository in %{serverdir}/lib \
                      %{commondir}/lib \
                      %{commondir}/endorsed ; do
        find $repository -name '\[*\]*.jar' -not -type d -exec rm -f {} \;
    done
fi

%postun
%{insserv_cleanup}

%preun admin-webapps
if [ $1 = 0 ]; then
    find %{serverdir}/webapps/admin/WEB-INF/lib  \
         -name '\[*\]*.jar' \
         -not -name 'catalina-admin*' -not -type d -exec rm -f {} \;
fi

%preun webapps
if [ $1 = 0 ]; then
    find %{appdir}/jsp-examples/WEB-INF/lib  \
         -name '\[*\]*.jar' \
         -not -type d -exec rm -f {} \;
fi

%pre
# Add the "tomcat" user and group
# we need a shell to be able to use su - later
%{_sbindir}/groupadd -r tomcat 2> /dev/null || :
%{_sbindir}/useradd -c "Tomcat" -g tomcat \
    -s /bin/sh -r -d %{homedir} tomcat 2> /dev/null || :
# if updating from something really old:
# save older configuration which could be changed by the user
# (was not marked %config in older package versions by mistake)
for file in `find /opt/jakarta/tomcat/conf/ -type f 2>/dev/null` \
            `find /opt/jakarta/tomcat/server/ /opt/jakarta/tomcat/webapps/ -name "*.xml" -type f 2>/dev/null` ; do
  test "${file%%.rpmsave-by-jakarta-tomcat}" == "$file" && \
  cp -auv "$file" "$file.rpmsave-by-jakarta-tomcat" || true
done

%files
%defattr(0755, root, root, 0755)
%{_sysconfdir}/init.d/tomcat5
%defattr(0644, root, root, 0755)
%dir %{_docdir}/%{name}/
#%{_docdir}/%{name}/LICENSE
%{_docdir}/%{name}/README.SuSE
%{_docdir}/%{name}/RELEASE-NOTES
#%{_docdir}/%{name}/*.txt
%dir %{_datadir}/omc/
%dir %{_datadir}/omc/svcinfo.d/
%attr(0644,root,root) %{_datadir}/omc/svcinfo.d/%{name}.xml
%config %{_sysconfdir}/logrotate.d/tomcat5
/usr/sbin/rctomcat5
%dir %{_datadir}/tomcat5
# true directories
%dir %{_datadir}/tomcat5/bin
%attr(0755,root,root) %{_datadir}/tomcat5/bin/*
%{_datadir}/tomcat5/common
%dir %{_datadir}/tomcat5/server
%{_datadir}/tomcat5/server/lib
%{_datadir}/tomcat5/shared
# symlinks
%{_datadir}/tomcat5/conf
%{_datadir}/tomcat5/logs
%{_datadir}/tomcat5/temp
%dir %{_datadir}/tomcat5/webapps
%{_datadir}/tomcat5/work
# ant tasks
/usr/share/java/catalina-ant-%{version}.jar
/usr/share/java/catalina-ant5.jar
%dir /srv/www/tomcat5/
/srv/www/tomcat5/base/common
/srv/www/tomcat5/base/server
%dir %attr(-, tomcat, tomcat) %{catalina_base}
%dir %attr(-, tomcat, tomcat) %{appdir}
%{catalina_base}/logs
%{catalina_base}/conf
%{catalina_base}/work
%{catalina_base}/temp
%dir %{_sysconfdir}/tomcat5/
%defattr(-, tomcat, tomcat)
%dir %{_sysconfdir}/tomcat5/base/
%config %{_sysconfdir}/tomcat5/base/catalina.policy
%config %{_sysconfdir}/tomcat5/base/catalina.properties
%config %{_sysconfdir}/tomcat5/base/jk2.properties
%config %{_sysconfdir}/%{name}/base/logging.properties
%config %{_sysconfdir}/tomcat5/base/server-minimal.xml
%config %{_sysconfdir}/tomcat5/base/server.xml
%config %{_sysconfdir}/tomcat5/base/tomcat-users.xml
%config %{_sysconfdir}/tomcat5/base/web.xml
%config %dir %{_sysconfdir}/tomcat5/base/Catalina
%config %dir %{_sysconfdir}/tomcat5/base/Catalina/localhost
%defattr(-, root, root)
#%config %attr(-, tomcat, tomcat) %{_sysconfdir}/tomcat5/base/*
%dir %{_var}/log/tomcat5/
%attr(-, tomcat, tomcat) %{_var}/log/tomcat5/base
%dir %{_var}/cache/tomcat5/
%attr(-, tomcat, tomcat) %{_var}/cache/tomcat5/base
%{_var}/adm/fillup-templates/*
%config(noreplace) %{confdir}/context.xml
%config(noreplace) %{confdir}/jk2.manifest
%config(noreplace) %{confdir}/jkconf.ant.xml
%config(noreplace) %{confdir}/jkconfig.manifest
%config(noreplace) %{confdir}/shm.manifest
%config(noreplace) %{confdir}/tomcat-jk2.manifest
%config(noreplace) %{confdir}/uriworkermap.properties
%config(noreplace) %{confdir}/workers.properties
%config(noreplace) %{confdir}/workers.properties.minimal
%config(noreplace) %{confdir}/workers2.properties
%config(noreplace) %{confdir}/workers2.properties.minimal
%{_bindir}/jasper5-setclasspath.sh
%{_bindir}/jasper5.sh
%{_bindir}/jspc5.sh

%files webapps
%defattr(644,root,tomcat,775)
%dir %{appdir}/servlets-examples
%{appdir}/servlets-examples/*
%dir %{appdir}/jsp-examples
%{appdir}/jsp-examples/*
%dir %{appdir}/ROOT
%{appdir}/ROOT/*
%dir %{appdir}/tomcat-docs
%{appdir}/tomcat-docs/*
%dir %{appdir}/webdav
%{appdir}/webdav/*

%files admin-webapps
%defattr(640,root,tomcat,750)
%attr(660,root,tomcat) %{confdir}/Catalina/localhost/manager.xml
%attr(660,root,tomcat) %{confdir}/Catalina/localhost/host-manager.xml
%{confdir}/Catalina/localhost/admin.xml
%dir %{appdir}/balancer
%{appdir}/balancer/*
%dir %{serverdir}/webapps
%{serverdir}/webapps/*

%changelog
* Fri Feb 11 2011 mvyskocil@suse.cz
- fix bnc#669897 - VUL-0: tomcat6: Apache Tomcat Local bypass of security
  manger file permissions (CVE-2010-3718)
  * http://svn.apache.org/viewvc?view=revision&revision=1027610
- fix 669929 - VUL-0: tomcat6: Apache Tomcat Manager XSS vulnerability
  (CVE-2011-0013)
  * http://svn.apache.org/viewvc?view=revision&revision=1057518
* Fri Jul 16 2010 mvyskocil@suse.cz
- fix bnc#599554: VUL-1: tomcat information disclosure (CVE-2010-1157)
  * http://svn.apache.org/viewvc?view=revision&revision=936541
- fix bnc#622188: VUL-0: tomcat: remote DoS / information disclosure
  (CVE-2010-2227)
  * http://svn.apache.org/viewvc?view=revision&revision=959428
- fix bnc#540695: Tomcat5 and UTF-8 problems
  * run tomcat using su - "VARIABLES catalina.sh" like tomcat6
* Thu Feb  4 2010 mvyskocil@suse.cz
- fixed bnc#575083 - VUL-0: tomcat directoy traversal bugs
  CVE-2009-2693, CVE-2009-2901, CVE-2009-2902
  * http://svn.apache.org/viewvc?view=revision&revision=902650
  (adjusted for jdk 1.4.2)
* Mon Jun 22 2009 mvyskocil@suse.cz
- fixed bnc#514570: oes2sp2 beta3.7, Tomcat is failing to load applications
  * added a fix for CVE-2008-5515 patch
    http://svn.apache.org/viewvc?view=rev&revision=783291
* Wed Jun 10 2009 mvyskocil@suse.cz
- fixed bnc#509839:
  CVE-2009-0781
  * http://svn.apache.org/viewvc?view=rev&revision=750928
  CVE-2009-0783
  (revision 681156 is already a part of 5.5.27)
  * http://svn.apache.org/viewvc?view=rev&revision=781542
  CVE-2008-5515
  * http://svn.apache.org/viewvc?view=rev&revision=782757
* Mon Jun  8 2009 mvyskocil@suse.cz
- fix of CVE-2006-3835: bnc#194425 - VUL-0: tomcat information disclosure
  - http://svn.apache.org/viewvc?view=rev&revision=332127
- fix of CVE-2007-1358: bnc#274241 - VUL-0: tomcat4: XSS via Accept-Language headers
  - http://svn.apache.org/viewvc?view=rev&revision=483329
* Wed May  6 2009 ro@suse.de
- comment out prereq for jdbc-stdext again
  (see change from Apr 19 2006)
* Tue Apr 21 2009 mvyskocil@suse.cz
- fixed bnc#496371: Tomcat 5.5-start-script failes for large number of
  parameters in CATALINA_OPTS+JAVA_OPTS (in /etc/sysconfig/tomcat55)
  * changed tomcatIsRunning() in init script
* Thu Apr 16 2009 mvyskocil@suse.cz
- update to 5.5.27 (fate#305788) for SLE10-SP3
- removed all CVE patches deprecated by update
- backported patches from tomcat55 (openSUSE 10.3)
  * tomcat5-5.5-jt5-build.patch
  * tomcat5-5.5-jtc-build.patch
  * tomcat5-5.5-jasper.sh.patch
  * tomcat5-5.5-jspc.sh.patch
  * tomcat5-5.5-setclasspath.sh.patch
  * tomcat5-5.5-util-build.patch
  * tomcat5-5.5-jk-build.patch
  * tomcat5-5.5-dbcp-name.patch
- use RELEASE-NOTES from source tarball, not addons
- install jasper shell scripts
- fixed Requires to be same as tomcat55 from 10.3
- UPSTREAM CHANGES:
  * JSP specification 2.0
  * servlet specification 2.4
  * used eclipse compiler (ecj) instead of SKD, so java-devel is no longer necessary
  * new APIs (bundled, or Required)
  - commons-el.jar (Commons Expression Language 1.0)
  - commons-logging-api.jar (Commons Logging API 1.0.x)
  - jasper-compiler.jar (Jasper 2 Compiler)
  - jasper-compiler-jdt.jar (Eclipse JDT Java compiler)
  - jasper-runtime.jar (Jasper 2 Runtime)
  - jsp-api.jar (JSP 2.0 API)
  - naming-common.jar (JNDI Context implementation)
  - naming-factory.jar (JNDI object factories for J2EE ENC support)
  - naming-factory-dbcp.jar (DataSource implementation based on commons-dbcp)
  - naming-resources.jar (JNDI DirContext implementations)
  - servlet-api.jar (Servlet 2.4 API)
  * java 1.4.2 compatibility
  - jmx.jar (Java Management Extensions API 1.2 or later)
  - xercesImpl.jar (Xerces XML Parser, version 2.6.2 or later)
* Thu Jan 22 2009 mvyskocil@suse.cz
- fix of CVE-2006-3835: bnc#194425 - VUL-0: tomcat information disclosure
  - http://svn.apache.org/viewvc?view=rev&revision=332127
- fix of CVE-2007-1358: bnc#274241 - VUL-0: tomcat4: XSS via Accept-Language headers
  - http://svn.apache.org/viewvc?view=rev&revision=483329
* Wed Oct 15 2008 mvyskocil@suse.cz
- fix of CVE-2008-3271: bnc#435145 - VUL-0: tomcat5: bypass filter
  - http://svn.apache.org/viewvc?view=rev&revision=303161
* Tue Aug 19 2008 mvyskocil@suse.cz
- fix CVE-2008-2938: VUL-0: tomcat5: directory traversal
* Tue Aug  5 2008 mvyskocil@suse.cz
- fix CVE-2008-1232 and CVE-2008-2370: VUL-0: Apache Tomcat Cross-Site
  Scripting and Security Bypass [bnc#414657]
* Tue Mar  4 2008 mvyskocil@suse.cz
- fix CVE-2007-2450: VUL-0: more tomcat XSS's [bnc#292414]
- fix CVE-2007-2449: VUL-0: more tomcat XSS's [bnc#292414]
  partially included in fix of CVE-2006-7196
- fix CVE-2007-1859: VUL-0: tomcat: bad SSL cipher usage
  [#bnc274242]
* Tue Feb 19 2008 mvyskocil@suse.cz
- fix the CVE-2007-5333: Tomcat Cookie handling vulnerabilities
  [bnc#360502]
* Mon Feb  4 2008 mvyskocil@suse.cz
- fix the CVE-2008-0128: tomcat https information disclosure
  [bnc#355046]
- fix the CVE-2005-2090: tomcat HTTP Request Smuggling [bnc#352839]
* Wed Dec 12 2007 skh@suse.de
- fix CVE-2006-7196: Cross-site scripting (XSS) vulnerability in
  example JSP applications [bnc #307619]
- fix CVE-2007-3382: Handling of cookies containing a ' character
  [bnc #300586]
- fix CVE-2007-3385: Handling of \" in cookies [bnc #300588]
- fix CVE-2007-5641: tomcat path traversal / information leak [bnc
  [#334476]]
* Thu Oct 25 2007 dbornkessel@suse.de
- include correct tomcat5.xml (Bug #325879)
* Mon Jul  2 2007 dbornkessel@suse.de
- merge with sp1 package
* Tue May 15 2007 dbornkessel@suse.de
- bug fix for Bug #274237
  http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-7195
  Cross-site scripting (XSS) vulnerability in implicit-objects.jsp in
  Apache Tomcat 5.0.0 through 5.0.30 and 5.5.0 through 5.5.17 allows
  remote attackers to inject arbitrary web script or HTML via certain
  header values.
* Tue Mar 20 2007 dbornkessel@suse.de
- backported security fix (Bug #254482)
  CVE-2007-0450
  Tomcat permits both '\' and '%%5C' as path delimiters. A HTTP request containing strings like "/\../"
  allow attackers to break out of the given context. Additionally, when using Tomcat behind a proxy
  configured to only proxy some contexts this permits access to non-proxied contexts. When used
  behind a proxy it is recommended that Tomcat is secured as if the proxy were not present.
  The following Java startup options have been added to Tomcat to provide additional control of the handling of '\' and '%%5c' in URLs:
  * -Dorg.apache.tomcat.util.buf.UDecoder.ALLOW_ENCODED_SLASH=true|false
  * -Dorg.apache.catalina.connector.CoyoteAdapter.ALLOW_BACKSLASH=true|false
  These options default to false.
* Wed Apr 19 2006 dbornkessel@suse.de
- removed jdbc as PreReq as it is not provided on all plattforms.
  Instead, links and build properties for jdbc are only created
  when jdbc is really there (Bug #164836)
* Mon Mar 27 2006 dbornkessel@suse.de
- link /usr/share/tomcat5/common/lib/servletapi5.jar -> /usr/share/tomcat5/common/lib/servlet-api.jar
  for eclipse server runtime verification script (Bug #160769)
* Tue Mar 21 2006 dbornkessel@suse.de
- amended startup script for correct shutdown (Bug #157069)
* Wed Mar 15 2006 dbornkessel@suse.de
- replaced test -n  $JAVA_OPTS
  with     test -n "$JAVA_OPTS"
* Fri Mar 10 2006 dbornkessel@suse.de
- added symlinks to tomcat in order to be recognized by some programs (i.e. eclipse)
  as a valid tomcat installation (Bug #134338)
- added more variables to /etc/sysconfig/j2ee
- sysconfig allows now to set the user & group with which to run tomcat
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 23 2005 dbornkessel@suse.de
- changed logrotate conf file and tomcat logger configuration / Bug #118763
- changed rctomcat5 script as proposed in Bug #134572
- fixed bug in struts config
- patched catalina.sh to have a work around if JAVA_HOME is wrong / Bug #129641
- added log4j.properties for tomcat
- added creation to log4j package in common/lib dir / Bug #113701
- added log4j as a requirement as it is used by tomcat
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Thu Sep  1 2005 skh@suse.de
- fix struts-config.xml in admin webapp (#113319)
* Fri Mar  4 2005 skh@suse.de
- remove superfluous %%defines
* Tue Feb 22 2005 skh@suse.de
- update to version 5.0.30
- fix build with current struts
* Mon Feb 21 2005 skh@suse.de
- update to version 5.0.28
* Fri Oct  1 2004 skh@suse.de
- Fix %%files section breakage from last change (#46620)
- Fix documentation (#46599)
* Wed Sep 29 2004 skh@suse.de
- Fix %%files section to remove file conflicts between main package and
  subpackages.
* Mon Sep 27 2004 skh@suse.de
- Set CATALINA_HOME in /etc/sysconfig/j2ee correctly when updating from
  jakarta-tomcat (#46080)
* Fri Sep 17 2004 skh@suse.de
- Create correct and backwards-compatible directory and symlink
  structure (#45503)
- really fix prerequires
* Thu Sep 16 2004 skh@suse.de
- Use SUSE config files and rc scripts following the old
  jakarta-tomcat package
- fix prerequires
* Mon Sep 13 2004 skh@suse.de
- Be FHS compliant again (install below /srv/www/tomcat5 instead
  of /var/lib/tomcat5)
- Fix Provides and Obsoletes
* Tue Sep  7 2004 skh@suse.de
- Fix PreRequires.
* Sun Sep  5 2004 skh@suse.de
- ... and use correct file permissions.
* Sun Sep  5 2004 skh@suse.de
- Don't use fixed uid/gid
* Sun Sep  5 2004 skh@suse.de
- Switched to JPackage version with 5.0.27 (JPackage 1.5)
